import request from '@/utils/request'

// 查询子公司心跳列表
export function listHeartbeat(query) {
  return request({
    url: '/api/heartbeat/list',
    method: 'get',
    params: query
  })
}

// 查询子公司心跳详细
export function getHeartbeat(id) {
  return request({
    url: '/api/heartbeat/' + id,
    method: 'get'
  })
}

// 新增子公司心跳
export function addHeartbeat(data) {
  return request({
    url: '/api/heartbeat',
    method: 'post',
    data: data
  })
}

// 修改子公司心跳
export function updateHeartbeat(data) {
  return request({
    url: '/api/heartbeat',
    method: 'put',
    data: data
  })
}

// 删除子公司心跳
export function delHeartbeat(id) {
  return request({
    url: '/api/heartbeat/' + id,
    method: 'delete'
  })
}
